package org.openxma.dsl.common.syntaxcoloring;

import org.eclipse.swt.graphics.RGB;
import org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfigurationAcceptor;
import org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingConfiguration;
import org.eclipse.xtext.ui.editor.utils.TextStyle;

abstract public class OpenXMASemanticHighlightingConfiguration  implements ISemanticHighlightingConfiguration {

	abstract public void configure(IHighlightingConfigurationAcceptor acceptor);

	
	protected TextStyle defaultTextStyle() {
		TextStyle textStyle = new TextStyle();
		textStyle.setBackgroundColor(new RGB(255, 255, 255));
		textStyle.setColor(new RGB(0, 0, 0));
		return textStyle;
	}	

}
